(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      5849,        164]
NotebookOptionsPosition[      5384,        143]
NotebookOutlinePosition[      5731,        158]
CellTagsIndexPosition[      5688,        155]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Manipulate by default make all manipulated parameter as local, so to avoid \
any interference with externally defined variables having the same names.
This behavior can be modified using the option LocalizeVariables->False.\
\>", "Text",
 CellChangeTimes->{{3.571989855347435*^9, 3.571989913392755*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"TraditionalForm", "[", 
       RowBox[{"Expand", "[", 
        RowBox[{"InterpolatingPolynomial", "[", 
         RowBox[{"pts", ",", "x"}], "]"}], "]"}], "]"}], ",", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"InterpolatingPolynomial", "[", 
         RowBox[{"pts", ",", "x"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
        RowBox[{"FillingStyle", "\[Rule]", "LightGreen"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]}], "}"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"pts", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "10"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "10"}], "}"}], ",", "Locator", ",", 
     RowBox[{"LocatorAutoCreate", "\[Rule]", "True"}]}], "}"}], ",", 
   RowBox[{"LocalizeVariables", "\[Rule]", "False"}], ",", 
   RowBox[{"Initialization", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"pts", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.25"}], ",", "0.86"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.53", ",", "0.08"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.97", ",", "0.73"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.12", ",", "0.10"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.78", ",", "0.52"}], "}"}]}], "}"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.571989770413577*^9, 3.571989785613446*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`pts], {-2, -10}, {2, 10}}}, Typeset`size$$ = {
    600., {195.5, 200.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`pts$25069$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`pts = {-2, -10}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pts, $CellContext`pts$25069$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         TraditionalForm[
          Expand[
           InterpolatingPolynomial[$CellContext`pts, $CellContext`x]]], 
         Plot[
          
          InterpolatingPolynomial[$CellContext`pts, $CellContext`x], \
{$CellContext`x, -2, 2}, PlotRange -> {{-2, 2}, {-10, 10}}, Filling -> Axis, 
          FillingStyle -> LightGreen, ImageSize -> 600]}], 
      "Specifications" :> {{$CellContext`pts, {-2, -10}, {2, 10}, ControlType -> 
         Locator, LocatorAutoCreate -> True}}, 
      "Options" :> {LocalizeVariables -> False}, "DefaultOptions" :> {}],
     ImageSizeCache->{657., {231., 236.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({{{-0.25, 0.86}, {0.53, 0.08}, {0.97, 0.73}, {0.12, 
      0.1}, {0.78, 0.52}}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.5719896891509295`*^9, 3.571989787547557*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dynamic", "[", "pts", "]"}]], "Input",
 CellChangeTimes->{{3.5719898063596334`*^9, 3.5719898095298147`*^9}}],

Cell[BoxData[
 DynamicBox[ToBoxes[$CellContext`pts, StandardForm],
  ImageSizeCache->{840., {2., 8.}}]], "Output",
 CellChangeTimes->{3.571989810395864*^9}]
}, Open  ]]
},
WindowSize->{1165, 673},
WindowMargins->{{115, Automatic}, {Automatic, -40}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 313, 5, 49, "Text"],
Cell[CellGroupData[{
Cell[895, 29, 2058, 56, 112, "Input"],
Cell[2956, 87, 2084, 41, 484, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5077, 133, 132, 2, 31, "Input"],
Cell[5212, 137, 156, 3, 31, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
